Subject: bug#25407: ls documentation should reflect file system atime setting

From: Eric Blake <[email-masked]>
Date: Tue, 10 Jan 2017 15:12:21 -0600

On 01/10/2017 02:02 PM, Eric Blake wrote:
> On 01/10/2017 01:54 PM, Eric Blake wrote:
> 
>> But I haven't pushed it, since I'm still getting other unrelated
>> syntax-check failures:
>>
>> $ make syntax-check
>> ...
>> gitignore_missing
>> /lib/Makefile
>> maint.mk: Add above entries to .gitignore
>> cfg.mk:781: recipe for target 'sc_gitignore_missing' failed
> 
> This looks like a false positive: top-level .gitignore includes
> 'Makefile', which matches ALL files named Makefile at any depth
> throughout the tree, and thus lib/Makefile does not need to be
> additionally called out for being ignored.
> 
> I'm not sure if this is because I've built incrementally in a tree over
> a long period of time, and now gnulib-tool is creating (but not
> modifying) .gitignore in a different manner than it used to. I'm trying
> a fresh clone to see if it reproduces from a clean environment.

A fresh clone does not suffer from the same problem, so it may be
something that has changed in gnulib-tool in the meantime.  I didn't
feel like bisecting it, though, since I couldn't easily reproduce it.
I've gone ahead and pushed the syntax-check fix (both the NEWS hash and
the doubled 'the').

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org